/*
 *    NzdlFilterOptions.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//the package we're in
package org.nzdl.gsdl.service;

/** gsdl corba stuff */
import org.nzdl.gsdl.corba.gsdlInterface.*;
import org.nzdl.gsdl.util.*;
import java.util.*;

/**
 * An object that returns the filter options for a particular filter. Information is obtained from
 * {@link NzdlService NzdlService.getFilterOptionSet(name, filter)}
 * 
 * @author Katherine Don (kjdon@cs.waikato.ac.nz)
 * 
 */

public class NzdlFilterOptions extends Object {

  private corbaFilterOptionsResponse m_FilterOps = null;
    private HashMap optionMap;
  /**
   * Create an instance of NzdlFilterOptions.
   */
    public NzdlFilterOptions( corbaFilterOptionsResponse _filt ) {
	m_FilterOps = _filt;
	optionMap = new HashMap();

	for (int i=0;i< m_FilterOps.names.length; i++) {
	   
	    optionMap.put( NzdlCorbaFactory.toString(m_FilterOps.names[i]), new NzdlFilterOption(m_FilterOps.options[i]));
	       
	}
    }

  /**
   * Returns the corbaFilterOptionsResponse.
   */
  public corbaFilterOptionsResponse getInfo(){
    return m_FilterOps;
  }
    /** returns the FilterOption with name _name*/
    public NzdlFilterOption getFilterOption(String _name) {
	return (NzdlFilterOption) optionMap.get(_name);
    }

    /** returns true if there is a FilterOption called _name*/
    public boolean hasOption(String _name) {
	return optionMap.containsKey(_name);
    }
}








